Subject: Re: [PATCH 0/6] ISOC23: quell warnings on discarding const

From: Michael J Gruber <[email-masked]>
Date: Fri, 27 Mar 2026 18:45:47 +0100

D. Ben Knoble venit, vidit, dixit 2026-03-26 17:26:35:
> On Thu, Mar 26, 2026 at 11:40 AM Michael J Gruber <[email-masked]> wrote:
> >
> > Hi there
> >
> > Fedora 44 beta (gcc-16.0.1, glibc-2.43) brought some fun new warnings
> > when building git. In essence, we're not always explicit about
> > const-ness or lack thereof of certain pointers. Before, strchr()'s
> > signature which turns const arguments into non-const return values
> > covered this up. With ISOC23, strchr() and friends return const
> > pointers.
> >
> > This little series takes a middle-ground: no new data types (no new
> > const versions of non-const data types) but more explicit casts.
> 
> I think a few folks were working on similar things; hopefully I've
> CC'd some relevant parties.

Thanks for catching this. I had checked the list cursorily (I'm not a
regular) but overlooked it. Peff's going all in on it, as usual ;-)

Michael